'use strict';

var _rollupPluginBabelHelpers = require('./_rollupPluginBabelHelpers-9bd7278f.js');
var React = require('react');
var styledComponents_esm = require('./styled-components.esm-cb14b099.js');

function _interopDefaultLegacy (e) { return e && typeof e === 'object' && 'default' in e ? e : { 'default': e }; }

var React__default = /*#__PURE__*/_interopDefaultLegacy(React);

const StyledDivider = styledComponents_esm.Ye.div`
  width: 100%;
  border-bottom: ${({
  height
}) => `${height}px`} solid ${({
  color
}) => color};
`;

function Divider({
  children,
  color = 'rgba(24, 28, 47, 0.3)',
  height = 1,
  ...rest
}) {
  return /*#__PURE__*/React__default['default'].createElement(StyledDivider, _rollupPluginBabelHelpers._extends({}, rest, {
    color: color,
    height: height
  }), children);
}

Divider.propTypes = {
  children: styledComponents_esm.propTypes.any,
  color: styledComponents_esm.propTypes.string,
  height: styledComponents_esm.propTypes.number
};

module.exports = Divider;
